summaryrefslogtreecommitdiffstats
path: root/wicd
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-06-29 14:08:09 +0000
committer Eric Hameleers <alien@slackware.com>2008-06-29 14:08:09 +0000
commitdc2d7d0200e62ee07bc96eda8ed68bcd0bec1f8f (patch)
treebed8c754e67d67cc3bc83f1080bf1c2e524d1227 /wicd
parentdb6f075fb8414a9d672965d7cacc8321e0db1af9 (diff)
downloadasb-dc2d7d0200e62ee07bc96eda8ed68bcd0bec1f8f.tar.gz
asb-dc2d7d0200e62ee07bc96eda8ed68bcd0bec1f8f.tar.xz
Initial revision
Diffstat (limited to 'wicd')
-rw-r--r--wicd/build/rc.wicd61
-rwxr-xr-xwicd/build/wicd.SlackBuild228
2 files changed, 289 insertions, 0 deletions
diff --git a/wicd/build/rc.wicd b/wicd/build/rc.wicd
new file mode 100644
index 00000000..c7a5190f
--- /dev/null
+++ b/wicd/build/rc.wicd
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# /etc/rc.d/rc.wicd
+# Start/stop/restart the Wicd daemon
+
+# This is defined in /usr/lib/python2.5/site-packages/wicd/wpath.py
+PIDFILE="/var/run/wicd/wicd.pid"
+
+# Define start and stop functions
+
+wicd_start() {
+ if [ -e $PIDFILE ]; then
+ echo "Wicd appears to already be running."
+ echo "If this is not the case, then remove "
+ echo "$PIDFILE and try again..."
+ exit 1
+ else
+ echo "Starting wicd daemon..."
+ wicd 2>/dev/null 1>&2
+ fi
+}
+
+wicd_stop() {
+ echo "Stopping wicd daemon..."
+ if [ -e $PIDFILE ]; then
+ kill $(cat $PIDFILE) 2>/dev/null
+ rm -f $PIDFILE 2>/dev/null
+ else
+ pkill -f python.*wicd-daemon.py 2>/dev/null
+ fi
+}
+
+wicd_status() {
+ if [ -e $PIDFILE ]; then
+ echo "Wicd is running at pid $(cat $PIDFILE)."
+ else
+ echo "Can not determine if Wicd is running."
+ fi
+}
+
+# See how we were called and take appropriate action
+
+case $1 in
+ start)
+ wicd_start
+ ;;
+ stop)
+ wicd_stop
+ ;;
+ restart)
+ wicd_stop
+ wicd_start
+ ;;
+ status)
+ wicd_status
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
diff --git a/wicd/build/wicd.SlackBuild b/wicd/build/wicd.SlackBuild
new file mode 100755
index 00000000..80c877a2
--- /dev/null
+++ b/wicd/build/wicd.SlackBuild
@@ -0,0 +1,228 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2008 Eric Hameleers <alien@slackware.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: wicd
+# Descr: wired and wireless network manager
+# URL: http://wicd.net/
+# Needs:
+# Changelog:
+# 1.5.0rc3-1: 29/Jun/2008 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh wicd.SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# Set initial variables:
+
+PRGNAM=wicd
+VERSION=${VERSION:-1.5.0rc3}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-alien}
+
+DOCS="AUTHORS INSTALL LICENSE README"
+
+# Where do we look for sources?
+SRCDIR=$(cd $(dirname $0); pwd)
+
+# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
+TMP=${TMP:-/tmp/build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.gz"
+SRCURL="http://downloads.sourceforge.net/wicd/wicd_1.5.0rc3-1.tar.gz"
+
+# This function checks out sources from SVN/CVS and creates a tarball of them.
+src_checkout() {
+ # Param #1 : full path to where SOURCE tarball should be created.
+ if [ "$(echo ${VERSION}|cut -c1)" == 'r' ]; then # revision instead of date
+ REV=$(echo ${VERSION} | cut -c2-)
+ else
+ REV="{${VERSION}}"
+ fi
+ mkdir $PRGNAM-${VERSION} \
+ && cd $PRGNAM-${VERSION} \
+ && svn checkout --revision $REV https://wicd.svn.sourceforge.net/svnroot/wicd . \
+ && chown -R root:root . \
+ && cd .. \
+ && tar -jcf ${1} $PRGNAM-${VERSION} \
+ && rm -rf $PRGNAM-${VERSION}
+}
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Create working directories:
+mkdir -p $OUTPUT # place for the package to be saved
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # always erase old package's contents
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+
+# Source file availability:
+if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if ! [ "x${SRCURL}" == "x" ]; then
+ echo "Will download file to $(dirname $SOURCE)"
+ if ! $(wget -nv -T 20 -O "${SOURCE}" "${SRCURL}"); then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
+ mv -f "${SOURCE}" "${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ # Try if we have a SVN/CVS download routine for ${SOURCE}
+ echo "Attempting checkout of sources to `dirname $SOURCE`"
+ src_checkout "${SOURCE}"
+ fi
+ if [ ! -f "${SOURCE}" -o ! -s "${SOURCE}" ]; then
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $TMP/tmp-$PRGNAM
+echo "Extracting the source archive(s) for $PRGNAM..."
+if $(file ${SOURCE} | grep -q ": bzip2"); then
+ tar -xjvf ${SOURCE}
+elif $(file ${SOURCE} | grep -q ": gzip"); then
+ tar -xzvf ${SOURCE}
+fi
+cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+echo Building ...
+# Use our own Slackware rc script, overwriting what is in the source:
+cat $SRCDIR/rc.wicd > init/slackware/rc.wicd
+# Only needed to get updated translations:
+#python setup.py get_translations 2>&1 | tee $OUTPUT/lang-${PRGNAM}.log
+python setup.py configure 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
+python setup.py install --root=$PKG 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+
+# Prevent user-modified scripts from being overwritten:
+mv $PKG/etc/rc.d/rc.wicd $PKG/etc/rc.d/rc.wicd.new
+mv $PKG/etc/dbus-1/system.d/wicd.conf $PKG/etc/dbus-1/system.d/wicd.conf.new
+
+# Slackware used dhcpcd instead of dhclient:
+cat <<EOF > $PKG/etc/wicd/manager-settings.conf.new
+[Settings]
+dhcp_client = 2
+EOF
+
+# Add this to the doinst.sh:
+! [ -d $PKG/install ] && mkdir -p $PKG/install
+cat <<EOINS >> $PKG/install/doinst.sh
+# Handle the incoming configuration files:
+config() {
+ for infile in \$1; do
+ NEW="\$infile"
+ OLD="\`dirname \$NEW\`/\`basename \$NEW .new\`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r \$OLD ]; then
+ mv \$NEW \$OLD
+ elif [ "\`cat \$OLD | md5sum\`" = "\`cat \$NEW | md5sum\`" ]; then
+ # toss the redundant copy
+ rm \$NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+ done
+}
+
+config etc/rc.d/rc.wicd.new
+config etc/dbus-1/system.d/wicd.conf.new
+
+# Update the desktop database:
+if [ -x usr/bin/update-desktop-database ]; then
+ chroot . /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1
+fi
+
+EOINS
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries:
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+cd -
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+if [ -f $SRCDIR/doinst.sh ]; then
+ cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
+fi
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
+cd -
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi